# Thorn Avery's Haskell Repo

this flake contains the package management infastructure for building my haskell applications and libraries.

all items in the `packages` output will be avaliable to cabal when building, and thus can be included in cabal files as if they existed on hackage.

## adding an entry

first, add the repository containing the item to the `inputs` of the flake. it must have a `.cabal` file in the root directory.

```
.
├── hello-world.cabal
└── src
    └── Main.hs
```

```
hello-world = {
  url = "git+ssh://gitea@git.p7.co.nz/thornAvery/hello-world.git";
  flake = false;
};
```

finally, add an entry to [`./packages.nix`](./packages.nix) containing the attribute path to the input:

```
inputs: [
  inputs.hello-world
]
```
